pcl::PCLPointCloud2 Struct Reference

`#include <pcl/PCLPointCloud2.h>`

## Public Types

typedef boost::shared_ptr< ::pcl::PCLPointCloud2 > | Ptr
typedef boost::shared_ptr< ::pcl::PCLPointCloud2 const > | ConstPtr

## Public Member Functions

| PCLPointCloud2 ()

## Public Attributes

::pcl::PCLHeader | header
pcl::uint32_t | height
pcl::uint32_t | width
std::vector< ::pcl::PCLPointField > | fields
pcl::uint8_t | is_bigendian
pcl::uint32_t | point_step
pcl::uint32_t | row_step
std::vector< pcl::uint8_t > | data
pcl::uint8_t | is_dense

## Detailed Description

Definition at line 20 of file PCLPointCloud2.h.

## Member Typedef Documentation

typedef boost::shared_ptr< ::pcl::PCLPointCloud2 const> pcl::PCLPointCloud2::ConstPtr

Definition at line 52 of file PCLPointCloud2.h.

typedef boost::shared_ptr< ::pcl::PCLPointCloud2> pcl::PCLPointCloud2::Ptr

Definition at line 51 of file PCLPointCloud2.h.

## Constructor & Destructor Documentation

pcl::PCLPointCloud2::PCLPointCloud2 | ( |  | ) |

inline

Definition at line 22 of file PCLPointCloud2.h.

References is_bigendian.

## Member Data Documentation

std::vector<pcl::uint8_t> pcl::PCLPointCloud2::data

Definition at line 46 of file PCLPointCloud2.h.

Referenced by pcl::copyStringValue(), pcl::copyValueString(), pcl::fromPCLPointCloud2(), pcl::isValueFinite(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), pcl::OrganizedFastMesh< PointInT >::resetPointData(), and pcl::toPCLPointCloud2().

std::vector< ::pcl::PCLPointField> pcl::PCLPointCloud2::fields

Definition at line 40 of file PCLPointCloud2.h.

Referenced by pcl::copyStringValue(), pcl::copyValueString(), pcl::fromPCLPointCloud2(), pcl::getFieldIndex(), pcl::getFieldsList(), pcl::isValueFinite(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::OrganizedFastMesh< PointInT >::resetPointData(), and pcl::toPCLPointCloud2().

::pcl::PCLHeader pcl::PCLPointCloud2::header

Definition at line 35 of file PCLPointCloud2.h.

Referenced by pcl::fromPCLPointCloud2(), and pcl::toPCLPointCloud2().

pcl::uint32_t pcl::PCLPointCloud2::height

Definition at line 37 of file PCLPointCloud2.h.

Referenced by pcl::fromPCLPointCloud2(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::getDataSize(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::OutofcoreOctreeDiskContainer(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), and pcl::toPCLPointCloud2().

pcl::uint8_t pcl::PCLPointCloud2::is_bigendian

Definition at line 42 of file PCLPointCloud2.h.

Referenced by PCLPointCloud2().

pcl::uint8_t pcl::PCLPointCloud2::is_dense

Definition at line 48 of file PCLPointCloud2.h.

Referenced by pcl::copyStringValue(), pcl::fromPCLPointCloud2(), and pcl::toPCLPointCloud2().

pcl::uint32_t pcl::PCLPointCloud2::point_step

Definition at line 43 of file PCLPointCloud2.h.

Referenced by pcl::copyStringValue(), pcl::fromPCLPointCloud2(), pcl::OrganizedFastMesh< PointInT >::resetPointData(), and pcl::toPCLPointCloud2().

pcl::uint32_t pcl::PCLPointCloud2::row_step

Definition at line 44 of file PCLPointCloud2.h.

Referenced by pcl::fromPCLPointCloud2(), and pcl::toPCLPointCloud2().

pcl::uint32_t pcl::PCLPointCloud2::width

Definition at line 38 of file PCLPointCloud2.h.

Referenced by pcl::fromPCLPointCloud2(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::getDataSize(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::OutofcoreOctreeDiskContainer(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), and pcl::toPCLPointCloud2().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/PCLPointCloud2.h